> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download a Report

Returns the results of the Report associated with the ID.

## Path Parameters

## Returns

Returns the Report's results in CSV format.

```bash cURL theme={null}
curl https://production.methodfi.com/reports/rpt_cj2mkA3hFyHT5/download \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const reportCSV = await method.reports.download('rpt_cj2mkA3hFyHT5');
```

```python Python theme={null}
report_csv = method.reports.download('rpt_cj2mkA3hFyHT5')
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.